%define am_i_cooker 0
%define distrib Official
%define version 2007.1
%define rel 3
%define distname China
%define distsuffix mdv
%define distribution Mandriva Linux

%define product_vendor Mandriva
%define product_distribution %distribution
%define product_type Basic
%define product_version %version
%define product_branch Official
%define product_release 1
%define product_arch %{_target_cpu}

%define product_id_base vendor=%product_vendor,distribution=%product_distribution,type=%product_type,version=%product_version,branch=%product_branch,release=%product_release,arch=%product_arch

%if %am_i_cooker
    %define distrib Cooker
    %define unstable %%_with_unstable --with-unstable
%endif

# The mandriva release, what is written on box
%define mandriva_release %version

# The mandriva branch: Cooker, Community or Official
%define mandriva_branch %distrib

# The mandriva arch, notice: using %_target_cpu is bad
# elsewhere because this depend of the config of the packager
# _target_cpu => package build for
# mandriva_arch => the distribution we are using
%define mandriva_arch %_target_cpu

# To be coherent with %mandriva_arch I provide os too
# be I wonder it will be linux for a long time
%define mandriva_os %_target_os

%define realversion %version
%define mdkver %(echo %version | sed 's/\\.//')0

Summary:	Mandriva release file
Name:		mandriva-release
Version:	%version
Release:	%mkrel %rel
License:	GPL
URL:		http://www.mandrivalinux.com/
Group:		System/Configuration/Other
Source:		%name.tar.bz2
Source1:	10mandriva-release.sh
Source2:	10mandriva-release.csh
Source3:	CREDITS
# edited lynx -dump of wiki:
Source4:	release-notes.txt
Source5:	README.urpmi
Obsoletes:	rawhide-release redhat-release mandrake-release mandrakelinux-release
BuildRoot:	%{_tmppath}/%{name}-root

%description
Mandriva Linux release file.

%package common
Summary: Mandriva release common files
Group: System/Configuration/Other
Conflicts: %name < %version-%release

%description common
Mandriva Linux release file.

%define release_package(s) \
%{-s:%package %1} \
Summary: Mandriva release file%{?1: for %1} \
Group: System/Configuration/Other \
Requires:	mandriva-release-common \
Provides:	redhat-release rawhide-release mandrake-release mandrakelinux-release \
Provides:	%name = %version-%release \
Obsoletes: %name < %version-%release rawhide-release redhat-release mandrake-release mandrakelinux-release

%define release_descr(s) \
%description %{-s:%1} \
Mandriva Linux release file. \


%define release_post(s) \
%post %{-s:%1} \
ln -fs /etc/product.id.%1 /etc/product.id


%define release_install(s) \
cat > %buildroot/etc/product.id.%{1} << EOF \
%{product_id_base},product=%1\
EOF\
 \
mkdir -p %buildroot%_sys_macros_dir \
cat > %buildroot%_sys_macros_dir/%{1}.macros <<EOF \
%%distribution      %distribution\
%%mandriva_release  %mandriva_release\
%%mandriva_branch   %mandriva_branch\
%%mandriva_arch     %mandriva_arch\
%%mandriva_os       %mandriva_os\
%%mandriva_class    %%(. %_sysconfdir/sysconfig/system; echo \\\$META_CLASS)\
%%mdkver            %mdkver\
%%mdvver            %mdkver\
%%distsuffix        %distsuffix\
\
# productid variable\
%%product_id %{product_id_base},product=%{1}\
\
%%product_vendor        %product_vendor\
%%product_distribution  %product_distribution\
%%product_type          %product_type\
%%product_version       %product_version\
%%product_branch        %product_branch\
%%product_release       %product_release\
%%product_arch          %product_arch\
%%product_product       %1\
\
%{?unstable}\
EOF\
 \
mkdir -p %buildroot%_sysconfdir/sysconfig \
cat > %buildroot%_sysconfdir/sysconfig/system <<EOF \
SECURITY=3\
CLASS=beginner\
LIBSAFE=no\
META_CLASS=download\
EOF\


%release_package default
%release_package -s One
Conflicts: mandriva-release-Discovery mandriva-release-Flash mandriva-release-Free mandriva-release-Powerpack mandriva-release-Powerpack+
%release_package -s Flash
Conflicts: mandriva-release-Discovery mandriva-release-Free mandriva-release-One mandriva-release-Powerpack mandriva-release-Powerpack+
%release_package -s Free
Conflicts: mandriva-release-Discovery mandriva-release-Flash mandriva-release-One mandriva-release-Powerpack mandriva-release-Powerpack+
%release_package -s Discovery
Conflicts: mandriva-release-Flash mandriva-release-Free mandriva-release-One mandriva-release-Powerpack mandriva-release-Powerpack+
%release_package -s Powerpack
Conflicts: mandriva-release-Discovery mandriva-release-Flash mandriva-release-Free mandriva-release-One mandriva-release-Powerpack+
%release_package -s Powerpack+
Conflicts: mandriva-release-Discovery mandriva-release-Flash mandriva-release-Free mandriva-release-One mandriva-release-Powerpack

%release_descr default
%release_descr -s Flash
%release_descr -s One
%release_descr -s Free
%release_descr -s Discovery
%release_descr -s Powerpack
%release_descr -s Powerpack+

%prep
%setup -q -n %{name}
cp -a %SOURCE3 CREDITS
cp -a %SOURCE4 release-notes.txt
cp -a %SOURCE5 README.urpmi

# check that CREDITS file is in UTF-8, fail otherwise
if iconv -f utf-8 -t utf-8 < CREDITS > /dev/null
then
	true
else
	echo "the CREDITS file *MUST* be encoded in UTF-8"
	echo "please fix it before continuing"
	false
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/etc
echo "Mandriva Linux release %{realversion} (%{distrib}) for %{_target_cpu}" > $RPM_BUILD_ROOT/etc/mandriva-release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/redhat-release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/mandrake-release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/mandrakelinux-release
echo "%{version}.0 %{rel} %{distname}" > $RPM_BUILD_ROOT/etc/version

mkdir -p %buildroot%_sysconfdir/profile.d
install -m755 %SOURCE1 %SOURCE2 %buildroot%_sysconfdir/profile.d

%release_install Free
%release_install Discovery Discovery
%release_install Flash Flash
%release_install One One
%release_install Powerpack Powerpack
%release_install Powerpack+ Powerpack+

touch %buildroot%_sysconfdir/product.id


%check
%if %am_i_cooker
case %release in
    0.*) ;;
    *)
    echo "Cooker distro should have this package with release < %{mkrel 1}"
    exit 1
    ;;
esac
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%release_post -s Flash
%release_post -s Free
%release_post -s Discovery
%release_post -s One 
%release_post -s Powerpack
%release_post -s Powerpack+ Powerpack+

%define release_files(s:) \
%files %{-s:%{-s*}} \
%defattr(-,root,root) \
%_sys_macros_dir/%{1}.macros \
/etc/product.id.%1 \
%ghost /etc/product.id\
\

%release_files -s Flash Flash
%release_files -s Free Free
%release_files -s Discovery Discovery
%release_files -s One One
%release_files -s Powerpack Powerpack
%release_files -s Powerpack+ Powerpack+


%files common
%defattr(-,root,root)
%doc CREDITS distro.txt README.urpmi release-notes.txt
/etc/mandrake-release
/etc/mandrakelinux-release
/etc/redhat-release
/etc/mandriva-release
/etc/release
/etc/version
/etc/profile.d/10mandriva-release.sh
/etc/profile.d/10mandriva-release.csh
%config(noreplace) %verify(not md5 size mtime) %_sysconfdir/sysconfig/system



%changelog
* Mon Apr 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-3mdv2007.1
+ Revision: 150417
- bump release
- resync with wiki's releases notes (mainly moves & renames but addition
  of "General information about new features and major changes")

* Mon Apr 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-2mdv2007.1
+ Revision: 150392
- bump release
- move README.urpmi out of tarball and update it (#30061)
- further versionning changes (ala #30061)
- move releases-notes out of tarball and update them (#30061)

* Mon Apr 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-1mdv2007.1
+ Revision: 150333
- final release
- enforce META_CLASS not being expanded like in 2007.0
- remove extra spaces at end of lines
- add missing contributors (#30073)

* Sat Mar 31 2007 Pixel <pixel@mandriva.com> 2007.1-0.6mdv2007.1
+ Revision: 150139
- remove the require mandriva-release-common -> mandriva-release
  this helps rpm/urpmi install mandriva-release-common before
  mandriva-release-*, and so /etc/sysconfig/system pb disappear (#30013)
- remove explicit conflict on the obsoleted version, that's unneeded

* Fri Mar 30 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-0.5mdv2007.1
+ Revision: 150065
- bump release
- bump release
- add explicit conflicts on mandriva-release in order to help urpmi (which will
  ask a question in interactive mode)
- remove unversionnated provides on mandriva-release
- add Flash support

  + Anssi Hannula <anssi@mandriva.org>
    - fix typo in CREDITS

* Wed Mar 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-0.3mdv2007.1
+ Revision: 149640
- bump release
- all mandriva-release-* packages are generated from the same spec file
- fix upgrading (#29842, #27864)
- move common files in -common sub package
- make it consistant
- sort
- help emacs
- fix giuseppe name (#29973)
- add Buchan Milne & Angelo Naselli (#29394)
- move CREDITS out of tarball and fix bad Translatros lines (#17490)

* Mon Dec 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-0.2mdv2007.1
+ Revision: 90486
- kill icon
- strip emails off of CREDITS

  + Warly <warly@mandriva.com>
    - post 2007.0
    - update release-notes
    - add provides mandriva-release, to help generation of product specific mandriva-release
    - convert CREDITS into utf8
    - final mandriva-release
    - update distro and credits, add release notes
    - rc2
    - rc 1

* Mon Aug 28 2006 Warly <warly@mandriva.com> 2007.0-0.12mdv2007.0
+ Revision: 58326
- update distro.txt for new beta
- new release for beta 3

  + Olivier Blin <oblin@mandriva.com>
    - clean buildroot

* Sat Aug 26 2006 Olivier Blin <oblin@mandriva.com> 2007.0-0.11mdv2007.0
+ Revision: 58168
- fix typo in sh profile script

* Thu Aug 17 2006 Frederic Crozat <fcrozat@mandriva.com> 2007.0-0.10mdv2007.0
+ Revision: 56652
- Add profile.d script to export META_CLASS (needed for csh shells)

* Sun Aug 13 2006 Warly <warly@mandriva.com> 2007.0-0.9mdv2007.0
+ Revision: 55804
- updated for beta 2

* Thu Jul 27 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.7mdv2007.0
+ Revision: 42339
- set distribution into macro file (not vendor)
- provide product* variable as macros, included product_id
- factorize some change
- 0.7
- Import mandriva-release


* Thu Jul 27 2006 Warly <warly@mandriva.com> 2007.0-0.6mdv2007.0
- reintroduct product.id

* Wed Jul 26 2006 Warly <warly@mandriva.com> 2007.0-0.5mdv2007.0
- beta 1

* Sat Jun 17 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.4mdv2007.0
- provide a default %_sysconfdir/sysconfig/system

* Thu May 25 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.3mdv2007.0
- after checking properly, no reason to not use %%mkrel now

* Thu May 25 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.2mdv2007
- use new release tag schema

* Wed May 24 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.1mdk
- 2007 is on the road

* Mon Jan 30 2006 Warly <warly@mandriva.com> 2006.1-0.4mdk
- add mdvver macro

* Fri Sep 30 2005 Warly <warly@mandriva.com> 2006.1-0.3mdk
- Cooker snaphost

* Fri Sep 30 2005 Warly <warly@mandriva.com> 2006.1-0.2mdk
- complete distro.txt
- correct distrib name

* Fri Sep 30 2005 Warly <warly@mandriva.com> 2006.1-0.1mdk
- 2006.1 beta

* Fri Sep 30 2005 Warly <warly@mandriva.com> 2006.0-2mdk
- update CREDITS

* Tue Sep 20 2005 Warly <warly@mandriva.com> 2006.0-1mdk
- 2006.0 Official

* Mon Sep 12 2005 Warly <warly@mandriva.com> 2006.0-0.5mdk
- rc2

* Thu Jun 30 2005 Eskild Hustvedt <eskild@mandriva.org> 2006.0-0.4mdk
- Fixed URL

* Tue Jun 28 2005 Olivier Thauvin <nanardon@mandriva.org> 2006.0-0.3mdk
- create /etc/rpm/macros.d/%%name.macros
- set _with_unstable by default for cooker

* Mon Apr 18 2005 Warly <warly@mandrakesoft.com> 2006.0-0.2mdk
- Mandriva Linux is better than Mandriva

* Mon Apr 18 2005 Warly <warly@mandrakesoft.com> 2006.0-0.1mdk
- add a .0 to the version

* Fri Apr 15 2005 Warly <warly@mandriva.com> 2006-1mdk
- Mandriva 2006 Cooker

* Thu Mar 17 2005 Warly <warly@mandrakesoft.com> 10.2-0.6mdk
- Limited Edition 2005 RC2

* Wed Mar  9 2005 Warly <warly@mandrakesoft.com> 10.2-0.5mdk
- 10.2 rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 10.2-0.4mdk
- 10.2 beta3

* Fri Feb  4 2005 Warly <warly@mandrakesoft.com> 10.2-0.3mdk
- 10.2 beta 2

* Tue Feb 01 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 10.2-0.2mdk
- added test to make build fail if CREDITS file is not in utf-8

* Tue Nov  9 2004 Warly <warly@mandrakesoft.com> 10.2-0.1mdk
- oops

* Mon Nov  8 2004 Warly <warly@mandrakesoft.com> 10.2-1mdk
- Cooker 10.2

* Tue Oct  5 2004 Warly <warly@mandrakesoft.com> 10.1-2mdk
- Mandrakelinux 10.1 Official

* Tue Oct  5 2004 Warly <warly@mandrakesoft.com> 10.1-1.1mdk
- Test update for 10.1

* Mon Sep 13 2004 Warly <warly@mandrakesoft.com> 10.1-1mdk
- Mandrakelinux 10.1 Community

* Fri Sep  3 2004 Warly <warly@mandrakesoft.com> 10.1-0.7mdk
- Mandrakelinux 10.1 RC 1

* Thu Aug 19 2004 Warly <warly@mandrakesoft.com> 10.1-0.6mdk
- Mandrakelinux 10.1 beta 2

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 10.1-0.5mdk
- Mandrakelinux 10.1 beta 1

* Thu Jul 15 2004 Warly <warly@mandrakesoft.com> 10.1-0.4mdk
- Mandrakelinux 10.1 alpha 1

* Fri Jul  2 2004 Warly <warly@mandrakesoft.com> 10.1-0.3mdk
- add a /etc/release file

* Tue May 11 2004 Warly <warly@mandrakesoft.com> 10.1-0.2mdk
- new package name

* Thu Apr  1 2004 Warly <warly@mandrakesoft.com> 10.1-0.1mdk
- Hope the summer will be hot enough for a 10.1
- s/Mandrake Linux/Mandrakelinux/

* Fri Mar 26 2004 Warly <warly@mandrakesoft.com> 10.0-3mdk
- 10.0 Official

* Wed Mar 17 2004 Warly <warly@mandrakesoft.com> 10.0-2mdk
- s/Mandrake Linux/Mandrakelinux/ in description

* Mon Mar  1 2004 Warly <warly@mandrakesoft.com> 10.0-1mdk
- Community

* Mon Feb 23 2004 Warly <warly@mandrakesoft.com> 10.0-0.9mdk
- Update Test for 10.0

* Thu Feb 12 2004 Warly <warly@mandrakesoft.com> 10.0-0.4mdk
- rc1

* Mon Feb  2 2004 Warly <warly@mandrakesoft.com> 10.0-0.3mdk
- beta 2

* Wed Jan 21 2004 Warly <warly@mandrakesoft.com> 10.0-0.2mdk
- Ron (10.0 beta 1)

* Tue Nov  4 2003 Warly <warly@mandrakesoft.com> 10.0-0.1mdk
- yo

* Wed Aug 27 2003 Warly <warly@mandrakesoft.com> 9.2-0.7mdk
- post rc1 version with CREDITS in %%doc

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 9.2-0.6mdk
- rc1
- add CREDITS file from qa.mandrakesoft.com/wiki

* Tue Aug  5 2003 Warly <warly@mandrakesoft.com> 9.2-0.5mdk
- beta 2

* Mon Jul 21 2003 Warly <warly@mandrakesoft.com> 9.2-0.4mdk
- beta 1

* Sun Apr 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 9.2-0.3mdk
- my bad, s/cooker/Cooker/

* Sun Apr 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 9.2-0.2mdk
- name is now 'cooker'

* Thu Mar 27 2003 Warly <warly@mandrakesoft.com> 9.2-0.1mdk
- I'm getting old...

* Tue Mar 11 2003 Warly <warly@mandrakesoft.com> 9.1-1mdk
- Bamboo

* Tue Oct  8 2002 Warly <warly@mandrakesoft.com> 9.1-0.1mdk
- tough one
- really tough one

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-0.3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Jul 22 2002 Warly <warly@mandrakesoft.com> 9.0-0.2mdk
- post 9.0 beta 1

* Wed Jul 17 2002 Warly <warly@mandrakesoft.com> 9.0-0.1mdk
- beta 1

* Thu Mar 21 2002 David BAUDENS <baudens@mandrakesoft.com> 8.3-0.2mdk
- Fix %%realversion (ie replace 'cooker' by '8.3' to don't break build of
  packages which use it)

* Tue Mar 19 2002 Warly <warly@mandrakesoft.com> 8.3-0.1mdk
- never stop

* Fri Mar 15 2002 Warly <warly@mandrakesoft.com> 8.2-1mdk
- 8.2

* Fri Mar  8 2002 Warly <warly@mandrakesoft.com> 8.2-0.7mdk
- 8.2 rc 1

* Sat Mar  2 2002 Warly <warly@mandrakesoft.com> 8.2-0.6mdk
- 8.2 beta 4

* Mon Feb 18 2002 Warly <warly@mandrakesoft.com> 8.2-0.5mdk
- 8.2 beta 3

* Fri Feb  8 2002 Warly <warly@mandrakesoft.com> 8.2-0.4mdk
- 8.2 beta 2

* Fri Jan 25 2002 Warly <warly@mandrakesoft.com> 8.2-0.3mdk
- 8.2 beta 1

* Tue Dec 11 2001 Warly <warly@mandrakesoft.com> 8.2-0.2mdk
- life goes on

* Wed Sep 26 2001 Warly <warly@mandrakesoft.com> 8.2-0.1mdk
- yeeepeeee

* Sun Sep 23 2001 Warly <warly@mandrakesoft.com> 8.1-1mdk
- 8.1 final

* Thu Sep  6 2001 Warly <warly@mandrakesoft.com> 8.1-0.6mdk
- 8.1 beta 3

* Mon Aug 27 2001 Warly <warly@mandrakesoft.com> 8.1-0.5mdk
- 8.1 beta 2

* Thu Aug 16 2001 Warly <warly@mandrakesoft.com> 8.1-0.4mdk
- 8.1 beta 1

* Tue Jun 19 2001 Warly <warly@mandrakesoft.com> 8.1-0.3mdk
- fix noarch problem

* Mon Jun 11 2001 Warly <warly@mandrakesoft.com> 8.1-0.2mdk
- Name changed to Mandrake Linux

* Sun Apr 22 2001 Warly <warly@mandrakesoft.com> 8.1-0.1mdk
- Cooker for 8.1

* Fri Apr 6 2001 Warly <warly@mandrakesoft.com> 8.0-0.5mdk
- Traktopel release candidate 1

* Sun Apr 1 2001 Warly <warly@mandrakesoft.com> 8.0-0.4mdk
- Traktopel beta 3

* Mon Mar 12 2001 Warly <warly@mandrakesoft.com> 8.0-0.3mdk
- Traktopel beta 2

* Mon Feb 26 2001 Warly <warly@mandrakesoft.com> 8.0-0.2mdk
- Traktopel beta 1

* Wed Feb  7 2001 Warly <warly@mandrakesoft.com> 8.0-0.1mdk
- Pre 8.0

* Fri Dec 22 2000 Warly <warly@mandrakesoft.com> 7.3-0.1mdk
- Cooker

* Thu Oct  5 2000 Warly <warly@mandrakesoft.com> 7.2-1mdk
- Odyssey

* Mon Oct  2 2000 Warly <warly@mandrakesoft.com> 7.2-0.2mdk
- Cooker 7.2 release candidate 1

* Thu Aug 31 2000 Warly <warly@mandrakesoft.com> 7.2-0.1mdk
- Cooker 7.2b

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.1-0.3mdk
- Fix bad links.

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.1-0.2mdk
- Set redhat-relase link to mandrake-release.
- On other arch of x86 print the arch.

* Thu Apr 20 2000 Warly <warly@mandrakesoft.com> 7.1-0.1mdk
- 7.1b

* Wed Mar 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.0-2mdk
- Adjust groups.
- No need to have the files as +x.

* Sat Jan 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 7.0 (Air).

* Wed Dec 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 7.0b (Oxygen).

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 6.2b (Oxygen).

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Jumping to full cooker :).

* Tue Jul 13 1999 Pablo Saratxaga <pablo@linux-mandrake.com>
- I stupidely forgot to put add the '-l $LANG' to the descriptions...

* Mon Jul 12 1999 Pablo Saratxaga <pablo@linux-mandrake.com>
- added an icon and some descriptions

* Wed May 19 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- change release name for final

* Sun May 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 6.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- [was redhat-release]
- add de locale
- Mandrake adaptions

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
